# JDT Glossary

CLASS file

A compiled Java source file.

compilation unit

A Java source file.

field

A field inside a type.

import container

Represents a collection of import declarations. These can be seen in the Outline view.

import declaration

A single package import declaration.

initializer

A static or instance initializer inside a type.

JAR file

JAR (Java archive) files are containers for compiled Java source files. They can be associated with an archive (such as, ZIP, JAR) as a source attachment. The children of JAR files are packages. JAR files can be either compressed or uncompressed.

JAVA elements

Java elements are Java projects, packages, compilation units, class files, types, methods and fields.

JAVA file

An editable file that is compiled into a byte code (CLASS) file.

Java projects

Projects which contain compilable Java source code and are the containers for source folders or packages.

JDT

Java development tools. Workbench components that allow you to write, edit, execute, and debug Java code.

JRE

Java runtime environment (for example, J9, JDK, and so on).

method

A method or constructor inside a type.

package declaration

The declaration of a package inside a compilation unit.

packages

A group of types that contain Java compilation units and CLASS files.

refactoring

A comprehensive code editing feature that helps you improve, stabilize, and maintain your Java code. It allows you to make a system-wide coding change without affecting the semantic behavior of the system.

type

A type inside a compilation unit or CLASS file.

source folder

A folder that contains Java packages.

VCM

Version control management. This term refers to the various repository and versioning features in the workbench.

VM

Virtual machine.

Java development tools (JDT)

Frequently asked questions on JDT